
import system from './index' // 系统首页

import channelList from './channelManager/channelList/index' // 渠道管理
import caseInfo from './caseManger/caseInfo/index' // 案场信息
import keyManger from './caseManger/keyManger/index' // 钥匙管理
import caseAreaManger from './caseManger/caseAreaManger/index' // 案场区域管理
import caseTableManger from './caseManger/caseTableManger/index' // 案场桌位管理

import fiveA from './courseManger/fiveA/index' // 全龄生活5A
import courseTag from './courseManger/courseTag/index' // 课程标签

import userManger from './systemSet/userManger/index' // 用户管理
import characterManger from './systemSet/characterManger/index' // 角色管理
import permissionManger from './systemSet/permissionManger/index' // 权限管理
import dictManger from './systemSet/dictManger/index' // 字典管理

export default {
  router: [
    {
      path: '/system',
      name: 'system',
      component: system,
      children: [{ // 渠道管理
        path: 'channelList',
        name: 'channelList',
        component: channelList,
        children: [],
      }, { // 案场信息
        path: 'caseInfo',
        name: 'caseInfo',
        component: caseInfo,
        children: [],
      }, { // 钥匙管理
        path: 'keyManger',
        name: 'keyManger',
        component: keyManger,
        children: [],
      }, { // 案场区域管理
        path: 'caseAreaManger',
        name: 'caseAreaManger',
        component: caseAreaManger,
        children: [],
      }, { // 案场桌位管理
        path: 'caseTableManger',
        name: 'caseTableManger',
        component: caseTableManger,
        children: [],
      }, { // 全龄生活5A
        path: 'fiveA',
        name: 'fiveA',
        component: fiveA,
        children: [],
      }, { // 课程标签
        path: 'courseTag',
        name: 'courseTag',
        component: courseTag,
        children: [],
      }, { // 用户管理
        path: 'userManger',
        name: 'userManger',
        component: userManger,
        children: [],
      }, { // 角色管理
        path: 'characterManger',
        name: 'characterManger',
        component: characterManger
      }, { // 权限管理
        path: 'permissionManger',
        name: 'permissionManger',
        component: permissionManger
      }, { // 字典管理
        path: 'dictManger',
        name: 'dictManger',
        component: dictManger
      }],
    },
  ],
}
